Recomendações de Serviços para a operação da Woomelly

Recomendações de Serviços para a operação da Woomelly


Neste guia vamos explicar algumas recomendações de serviços para o funcionamento do Woomelly. O plugin foi desenvolvido com a ideia de não consumir recursos ineficientes que possam afetar o funcionamento da loja WooCommerce, desta forma, se você não tiver problemas de desempenho antes de instalar o Woomelly com a loja online, não os terá depois de instalar o plugin Woomelly plugin. Adicionalmente, foi incorporado um limite de 5.000 itens, pois é o número estimado de produtos para garantir o correto funcionamento da ferramenta e as configurações dos servidores que hospedam as lojas WooCommerce.

Conteúdo

→ Recomendações de serviço para Woomelly
→ A partir de qual versão do WooCommerce e WordPress o Woomelly funciona?
→ Conta Mercado Livre
→ Tarefas Agendadas (Cron Jobs)

Recomendações de serviço para Woomelly

O primeiro passo para começar a usar o Woomelly é configurar uma loja online com o plugin WooCommerce em um ambiente WordPress. Mas antes de fazer isso, você precisa verificar seu ambiente de hospedagem (servidor). Como WooCommerce, recomendamos (não limitando, mas recomendado):

Você também deve verificar os requisitos do WordPress.

É importante notar que a versão PHP inferior a 7.3+ e a versão MySQL inferior a 5.6 não são suportadas e muitas versões estão em Fim de Vida e, portanto, não são mantidas. Como tal, o uso de versões desatualizadas e sem suporte do MySQL e PHP pode expor seu site a vulnerabilidades de segurança.

A partir de qual versão do WooCommerce e WordPress o Woomelly funciona?

O plugin Woomelly depende do ambiente WordPress e do plugin WooCommerce, assim como o WooCommerce.com menciona:

All extensions and themes sold on WooCommerce.com support the latest minor release of WooCommerce and WordPress core, and the previous two before that. The WooCommerce versions are in the SemVer format ( Major.Minor.Patch ) which started in version 3.0.0. For example, if the current version is 4.5.x then the oldest WooCommerce version we support is 4.3.x. Ideally, you are running the latest version of WooCommerce and are staying updated with the most secure version of WordPress.

Isso significa que se você tiver uma versão desatualizada do WordPress ou WooCommerce, haverá módulos que não funcionarão na ferramenta dessa loja online. Mesmo a versão 3.6.0 foi a menor do WooCommerce onde a ferramenta conseguiu funcionar e para o WordPress foi a versão 5.3. Atualmente, o plugin Woomelly é compatível com a versão WooCommerce e a versão WordPress indicada nele.

Conta Mercado Livre

Para usar o plugin Woomelly, a conta do Mercado Livre vinculada deve ter o perfil de administrador. Dessa forma, você terá permissões suficientes para poder realizar consultas com o Mercado Livre. Se a conta for um usuário operador/colaborador, o acesso não será válido e você não poderá utilizar a ferramenta. Além disso, quando houver uma alteração de segurança na conta do Mercado Livre (como alterar a senha), isso fará com que a autorização atual seja perdida, portanto, o mesmo procedimento de autorização deverá ser realizado. O plugin Woomelly funciona para todas as contas do Mercado Livre (individual, loja oficial, etc.) e para qualquer país que esteja incluído na plataforma do Mercado Livre.

Tarefas Agendadas (Cron Jobs)

O plug-in Woomelly possui a funcionalidade de tarefa agendada do WordPress integrada. Alguns são vitais para o seu funcionamento. A loja online deve ter essa funcionalidade ativa, seja as tarefas agendadas padrão do WordPress ou ativar as tarefas agendadas diretamente do servidor (opção muito utilizada para melhorar o desempenho dos sites WordPress).

Habilite os IPs do Mercado Livre no servidor da loja

Para que não haja erro de bloqueio com o Mercado Livre, é recomendável colocar os IPs do Mercado Livre na whitelist do servidor (escalar essa solicitação com o suporte de hospedagem) e habilitar a conexão direta entre a loja WooCommerce com a API do Mercado Livre (https://api.mercadolibre.com):

  • 216.33.196.4
  • 216.33.196.25
  • 54.88.218.97
  • 18.215.140.160
  • 18.213.114.129
  • 18.206.34.84
  • Todas las IPs relacionadas con api.mercadolibre.com.

Fonte: Conexão/bloqueio.

Seguinte: